### Function

# EBookContacts book_util_foreach_address

since: 3.44

#### Declaration [src]

    void
    e_book_util_foreach_address (
      const gchar* email_address,
      GHRFunc func,
      gpointer user_data
    )

#### Description [src]

Parses the `email_address` and calls `func` for each found address. The first parameter of the `func` is the name, the second parameter of the `func` is the email, the third parameters of the `func` is the `user_data`. The `func` returns `TRUE`, to continue processing.

Available since: 3.44

#### Parameters

`email_address`

  Type: `const gchar*`

  One or more email addresses as string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`func`

  Type: `GHRFunc`

  A function to call for each email `user_data` (closure func): user data passed to `func`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.